insert ignore into `ombutel`.`ombu_modules` (`name`, `has_dialplan`, `admin`, `version`, `portal`) values ("mexican_numbering_plan", "no", "yes", "1.0", "no");

select `module_id` into @module_id
from `ombutel`.`ombu_modules`
where `name` = 'mexican_numbering_plan';

insert ignore into `ombutel`.`ombu_menu` (`label`, `parent_id`, `module_id`, `sort`)
select "module.mexican_numbering_plan", `parent`.`menu_id`, @module_id, 8
from `ombutel`.`ombu_menu` as `parent` where `label` = 'menu.pbx_settings';

insert ignore into `ombutel`.`ombu_role_privileges` (`role_id`, `module_id`, `allow_view`, `allow_add`, `allow_edit`, `allow_delete`)
select `role_id`, @module_id, "yes", "yes", "yes", "yes" from `ombutel`.`ombu_roles` where `superadmin` = "yes";

create table if not exists `ombutel`.`mexican_numbering_plan` (
	start bigint unsigned not null,
	end bigint unsigned not null,
	operator varchar(128) not null,
	is_cellular boolean not null,
	primary key(start, end)
);
